Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035774
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-04-12 15:032017-06-15 11:29
ReporternataliagView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision9ed7057ba755
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035774: External Keyboard reads letter K as an enter in iOS

DescriptionExternal Keyboard reads letter K as an enter in iOS
Steps To Reproduce1- Using an iOS device go to "POS Terminal Type" window in backoffice and select the "VBS POS Terminal Type" record, tick the "Use External Input" option.
2- Save changes and go to the POS Terminal.
3- Click on the UPC/EAN field and using a external keyboard insert a code, for example 1234K, it is interpreted that letter K is an enter and only the code 1234 is sent. Then in next scann, if another code is entered, for example, 789,it is sent as k789.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096098)
hgbot (developer)
2017-04-21 10:43

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 64abad88deff21f9b8305639eb8d21b9cebadc97
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Apr 20 11:03:15 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/64abad88deff21f9b8305639eb8d21b9cebadc97 [^]

Fixed issue 35774: External Keyboard reads letter K as an enter in iOS

In IOS, keyboard evetns are different from PC and android.

Added the correct keyboard events for IOS.

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0096452)
marvintm (developer)
2017-05-08 11:17

It seems there are problems with some characters (like some letters such as 'a', or 'd') due to the fact that the keypress event generates slightly different codes. We need to look deeper at this.
(0096637)
hgbot (developer)
2017-05-17 12:14

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 960b78891206fa49463e61ea2cc91e771935917d
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue May 16 18:38:47 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/960b78891206fa49463e61ea2cc91e771935917d [^]

Fixed issue 35774. Several improvements have been made:
- Refactored code which handles special commands such as +, -, delete line, ... Unified code, and made it extensible.
- Fixed problem with backspace key in iOS
- Fixed problem with focus keeper activation in iOS, by removing setTimeout, and instead using the event.relatedTarget to detect the new component which is being focused.
- Disabled autocapitalize and autocorrect in the focusKeeper to prevent strange errors in iOS.

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0096638)
hgbot (developer)
2017-05-17 12:14

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 111d8019bd65c197e80ab5f6853e2856e6ba6f16
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed May 17 09:55:39 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/111d8019bd65c197e80ab5f6853e2856e6ba6f16 [^]

Related to issue 35774. actualChar will be read before executing special actions, to prevent wrong characters which are actually related to actions.

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0096674)
jorge-garcia (developer)
2017-05-19 10:36

The proposed solution is not working on IPad version 9.X.X.

Each time a barcode is scanned an javascript error is shown.
(0096852)
hgbot (developer)
2017-05-29 12:59

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 79e760066426c475747a417084c6278297e82f6e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu May 25 19:47:48 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/79e760066426c475747a417084c6278297e82f6e [^]

Fixed issue 35774. Removed obsolete call to writeCharacter.

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0097049)
jorge-garcia (developer)
2017-05-31 13:21
edited on: 2017-05-31 13:21

There is a problem with changeset[1] and Ipad version 9.X.X

[1] https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/960b78891206fa49463e61ea2cc91e771935917d [^]

Now, no javascript error is shown when a keyboard key is pressed. but the value of the key pressed is not shown in point of sale editbox.

The rest of devices works fine (PC, Android, and IOS 10.X.X)

(0097162)
hgbot (developer)
2017-06-06 11:45

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 9ed7057ba7555ed7629b8e9d15bb16a4f23571b9
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 05 13:34:54 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/9ed7057ba7555ed7629b8e9d15bb16a4f23571b9 [^]

Fixed issue 35774. Restored call to writeCharacter. fromCharCode will be used on iOS 9 and earlier, as keyboardEvent.key is not supported there.

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0097416)
jorge-garcia (developer)
2017-06-15 11:29

Code reviewed and tested in devices:
 * Iphone version 10.X.X
 * Ipad version 9.X.X
 * PC
 * Android tablets

- Issue History
Date Modified Username Field Change
2017-04-12 15:03 nataliag New Issue
2017-04-12 15:03 nataliag Assigned To => Retail
2017-04-12 15:03 nataliag Triggers an Emergency Pack => No
2017-04-12 15:09 heccam Issue Monitored: heccam
2017-04-12 15:13 Practics Issue Monitored: Practics
2017-04-19 16:30 jorge-garcia Status new => scheduled
2017-04-19 16:30 jorge-garcia Assigned To Retail => jorge-garcia
2017-04-21 10:43 hgbot Checkin
2017-04-21 10:43 hgbot Note Added: 0096098
2017-04-21 10:43 hgbot Status scheduled => resolved
2017-04-21 10:43 hgbot Resolution open => fixed
2017-04-21 10:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/64abad88deff21f9b8305639eb8d21b9cebadc97 [^]
2017-05-08 11:17 marvintm Note Added: 0096452
2017-05-08 11:17 marvintm Status resolved => new
2017-05-08 11:17 marvintm Resolution fixed => open
2017-05-08 11:17 marvintm Assigned To jorge-garcia => marvintm
2017-05-16 18:40 marvintm Status new => scheduled
2017-05-17 12:14 hgbot Checkin
2017-05-17 12:14 hgbot Note Added: 0096637
2017-05-17 12:14 hgbot Status scheduled => resolved
2017-05-17 12:14 hgbot Resolution open => fixed
2017-05-17 12:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/64abad88deff21f9b8305639eb8d21b9cebadc97 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/960b78891206fa49463e61ea2cc91e771935917d [^]
2017-05-17 12:14 hgbot Checkin
2017-05-17 12:14 hgbot Note Added: 0096638
2017-05-19 10:36 jorge-garcia Note Added: 0096674
2017-05-19 10:36 jorge-garcia Status resolved => new
2017-05-19 10:36 jorge-garcia Resolution fixed => open
2017-05-19 10:43 jorge-garcia Review Assigned To => jorge-garcia
2017-05-22 08:42 marvintm Status new => scheduled
2017-05-29 12:59 hgbot Checkin
2017-05-29 12:59 hgbot Note Added: 0096852
2017-05-29 12:59 hgbot Status scheduled => resolved
2017-05-29 12:59 hgbot Resolution open => fixed
2017-05-29 12:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/960b78891206fa49463e61ea2cc91e771935917d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/79e760066426c475747a417084c6278297e82f6e [^]
2017-05-31 13:21 jorge-garcia Note Added: 0097049
2017-05-31 13:21 jorge-garcia Status resolved => new
2017-05-31 13:21 jorge-garcia Resolution fixed => open
2017-05-31 13:21 jorge-garcia Note Edited: 0097049 View Revisions
2017-06-02 12:53 marvintm Status new => scheduled
2017-06-06 11:45 hgbot Checkin
2017-06-06 11:45 hgbot Note Added: 0097162
2017-06-06 11:45 hgbot Status scheduled => resolved
2017-06-06 11:45 hgbot Resolution open => fixed
2017-06-06 11:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/79e760066426c475747a417084c6278297e82f6e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/9ed7057ba7555ed7629b8e9d15bb16a4f23571b9 [^]
2017-06-15 11:29 jorge-garcia Note Added: 0097416
2017-06-15 11:29 jorge-garcia Status resolved => closed
2017-06-15 11:29 jorge-garcia Fixed in Version => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker